package com.simuwang.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.CompanyEmailConfigDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * FileName: CompanyEmailConfigMapper
 * Author:   chenjianhua
 * Date:     2024/9/7 12:59
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface CompanyEmailConfigMapper extends BaseMapper<CompanyEmailConfigDO> {
    void deleteCompanyEmailConfig(String email);

    void saveCompanyEmailConfig(CompanyEmailConfigDO emailConfigDO);

    void updateCompanyEmailConfig(CompanyEmailConfigDO emailConfigDO);

    CompanyEmailConfigDO selectCompanyEmailConfigById(Integer id);
}
